uses DBFile, Crt;
var
  F: Text;
  DB: PBase;
  Day, Time, Serv, Note, Addr: string;

  procedure ReadWord(var F: Text; var S: string);
  var
    Ch: Char;
  begin
    S := '';  Ch := ' ';
    while not Eof(F) and (Ch in [#0..#32]) do Read(F, Ch);
    while not Eof(F) and not (Ch in [#0..#32]) do
      begin S := S + Ch; Read(F, Ch) end;
  end;

begin
  DB := New(PBase, Init('Log.dbf'));
  if DB = nil then Halt;
  Assign(F, 'Log.txt');
  Reset(F);
  Writeln('७   Log.txt  Log.dbf');
  while not Eof(F) do
  begin
    ReadWord(F, Day);
    ReadWord(F, Time);
    Readln(F, Serv);
    Readln(F, Note);
    Readln(F, Addr);
    with DB^ do
    begin
      Append;
      Write(' : ', RecNo, #13);
      Put('DAY', Day);
      Put('TIME', Time);
      Put('SERV', Serv);
      Put('NOTE', Note);
      Put('ADDR', Addr);
    end;
    if KeyPressed and (ReadKey = #27) then Break;
  end;
  Close(F);
  Dispose(DB, Done);
end.